Subject: Ongoing projects - status update as of 2024/07/21
From: Michal Siemaszko <[email-masked]>
To: Jürgen Albert <[email-masked]>, Mark Hoffmann <[email-masked]>
Date: Sun, 21 Jul 2024 17:29:13 +0200

Hi Juergen,

PR #61 ( 
https://github.com/geckoprojects-org/org.gecko.emf.utils/pull/61 ) was 
marked as ready for review, as what you requested via 
https://github.com/geckoprojects-org/org.gecko.emf.utils/pull/61#issuecomment-2221021009 
is now part of this PR ( 
https://github.com/geckoprojects-org/org.gecko.emf.utils/commit/11c478e185ff0bf0696873911a29b50df0de8200 
). Please see 
https://github.com/geckoprojects-org/org.gecko.emf.utils/pull/61#issuecomment-2240796003 
for examples of ECORE files generated for both EMF models we discussed 
so far - now, instead of flat list, you will find trees of EPackages, etc.

Please see Slack message I just sent ( 
https://dim-c.slack.com/archives/D01TP6194TZ/p1721575656515319 ) which 
contains invoice for July - sent earlier, as you did not renew our 
contract, and our previous one-year contract was signed on 2023/07/21, 
so it expired.

Thank you for being able to work with you and all the best to you, Mark 
and team.

If there's any help needed with any of the services ( 
https://ideas.into.software/services/index.html ) I offer, please let me 
know. I added ~50 case studies recently ( 
https://ideas.into.software/case-studies/index.html ), describing work 
I've delivered for different clients over the years - if you or someone 
you know needs help, please get in touch.

Regards,

-- 
   Michael H. Siemaszko
   Telegram: mhsiemaszko
   Email:[email-masked],
          [email-masked]
   WWW:http://ideas.into.software/
   GitHub:https://github.com/ideas-into-software/
   LinkedIn:http://www.linkedin.com/in/mhsiemaszko/
   Twitter:https://twitter.com/IntoSoftware/

On 6/24/24 15:55, Michal Siemaszko wrote:
>
> -------- Forwarded Message --------
> Subject: 	Re: Ongoing projects - status update as of 2024/05/23 / 
> requests for clarification
> Date: 	Fri, 14 Jun 2024 02:32:17 +0200
> From: 	Michal Siemaszko <[email-masked]>
> To: 	Jürgen Albert <[email-masked]>, Mark Hoffmann 
> <[email-masked]>
>
>
>
> Hi Juergen,
>
> I replied via separate email, sent few seconds ago - see email with 
> "status update as of 2024/06/14" in its subject.
>
>
> On 6/12/24 20:58, Jürgen Albert wrote:
>>
>> Hi Michal,
>>
>> I haven't heared from you in a while. Have you made any progress with 
>> this?
>>
>> Jürgen.
>>
>> Am 24/05/2024 um 21:04 schrieb Jürgen Albert:
>>>
>>> Hi Michal,
>>>
>>> The Converter is not released yet. It is still a SNAPSHOT and thus 
>>> can be subject to change. If you think the changes from DTO 
>>> converter to a more generic converter would be too significant, you 
>>> can also create a new Bundle in the util project, for a broader 
>>> range of classes to convert.
>>>
>>> As I wrote as well, we don't want to model the REST API, as we would 
>>> write the code. We are not sure about the model yet and thus want to 
>>> be able to convert classes we will likely need to EMF Models, so we 
>>> have an easier time later. Thus, we don't want to start a complete 
>>> new project right now, as you suggest. We may, after the converter 
>>> is available. Right now, we don't have the mental capacity though to 
>>> dive into this topic and we will very likely start with something, 
>>> that might be a bit specific for the Smart City Model.
>>>
>>> So, please do the converter first. I have told you about the REST 
>>> modelling idea for a bit of context. The goal of that Context is, so 
>>> you can better evaluate yourself how deep the model you build should 
>>> reflect a given class. The assignment for now is NOT to implement a 
>>> full-featured REST Modelling Framework.
>>>
>>> BTW: We know about the EMF-REST Project, it goes in the right 
>>> direction but is not what we want.
>>>
>>> Jürgen.
>>>
>>> Am 23/05/2024 um 02:22 schrieb Michal Siemaszko:
>>>> Hi,
>>>>
>>>> Status update as of 2024/05/23 is as per attached summary document, 
>>>> which provides updates on the following projects:
>>>>
>>>>   *  DTO to EMF converters
>>>>   *  OGC Features
>>>>   *  EMF model driven development of Jakarta RESTful OSGi applications
>>>>
>>>>
>>>> Please review and provide your input.
>>>>
>>>> Regards,
>>>> -- 
>>>>    Michael H. Siemaszko
>>>>    Telegram: mhsiemaszko
>>>>    Email:[email-masked],
>>>>           [email-masked]
>>>>    WWW:http://ideas.into.software/
>>>>    GitHub:https://github.com/ideas-into-software/
>>>>    LinkedIn:http://www.linkedin.com/in/mhsiemaszko/
>>>>    Twitter:https://twitter.com/IntoSoftware/
>>> -- 
>>> Jürgen Albert
>>> CEO
>>> Chair Eclipse OSGi Working Group Steering Committee
>>>
>>>
>>> Data In Motion Consulting GmbH
>>>
>>> Kahlaische Str. 4
>>> 07745 Jena
>>>
>>> Mobil:  +49 157-72521634
>>> E-Mail:[email-masked]
>>> Web:www.datainmotion.de
>>>
>>> XING:https://www.xing.com/profile/Juergen_Albert5
>>> LinkedIn:https://www.linkedin.com/in/juergen-albert-6a1796/
>>>
>>> Rechtliches
>>>
>>> Jena HBR 513025
>> -- 
>> Jürgen Albert
>> CEO
>> Chair Eclipse OSGi Working Group Steering Committee
>>
>>
>> Data In Motion Consulting GmbH
>>
>> Kahlaische Str. 4
>> 07745 Jena
>>
>> Mobil:  +49 157-72521634
>> E-Mail:[email-masked]
>> Web:www.datainmotion.de
>>
>> XING:https://www.xing.com/profile/Juergen_Albert5
>> LinkedIn:https://www.linkedin.com/in/juergen-albert-6a1796/
>>
>> Rechtliches
>>
>> Jena HBR 513025